EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RepositoryMonitors_GetRepositoryMonitorStates',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RepositoryMonitorStates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all repository monitor states.'
GO

IF OBJECT_ID('[RepositoryMonitors_GetRepositoryMonitorStates]') IS NOT NULL DROP PROCEDURE [RepositoryMonitors_GetRepositoryMonitorStates]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RepositoryMonitors_GetRepositoryMonitorStates]
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [RepositoryMonitorStates]

END
GO

GRANT EXECUTE ON [RepositoryMonitors_GetRepositoryMonitorStates] TO [BuildMasterUser_Role]