EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Credentials_GetCredential',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Credentials_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified credential.'
GO


IF OBJECT_ID('[Credentials_GetCredential]') IS NOT NULL DROP PROCEDURE [Credentials_GetCredential]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Credentials_GetCredential]
(
    @Credential_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Credentials_Extended]
     WHERE [Credential_Id] = @Credential_Id

END
GO

GRANT EXECUTE ON [Credentials_GetCredential] TO [BuildMasterUser_Role]