EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'SecureResources_GetSecureResource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'SecureResources',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified secure resource.'
GO

IF OBJECT_ID('[SecureResources_GetSecureResource]') IS NOT NULL DROP PROCEDURE [SecureResources_GetSecureResource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [SecureResources_GetSecureResource]
(
    @SecureResource_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [SecureResources]
     WHERE [SecureResource_Id] = @SecureResource_Id

END
GO

GRANT EXECUTE ON [SecureResources_GetSecureResource] TO [BuildMasterUser_Role]